(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./Utils.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.SpiralDrawer = void 0;
    const engine_1 = require("@tsparticles/engine");
    const Utils_js_1 = require("./Utils.js");
    const defaultInnerRadius = 1, defaultLineSpacing = 1, defaultWidthFactor = 10;
    class SpiralDrawer {
        constructor() {
            this.validTypes = ["spiral"];
        }
        draw(data) {
            (0, Utils_js_1.drawSpiral)(data);
        }
        particleInit(container, particle) {
            const pixelRatio = container.retina.pixelRatio, shapeData = particle.shapeData;
            particle.spiralInnerRadius = (0, engine_1.getRangeValue)(shapeData?.innerRadius ?? defaultInnerRadius) * pixelRatio;
            particle.spiralLineSpacing = (0, engine_1.getRangeValue)(shapeData?.lineSpacing ?? defaultLineSpacing) * pixelRatio;
            particle.spiralWidthFactor = (0, engine_1.getRangeValue)(shapeData?.widthFactor ?? defaultWidthFactor);
        }
    }
    exports.SpiralDrawer = SpiralDrawer;
});
